Bug 439904

Summary: kvm crashes machine: general protection fault
Product: [Fedora] Fedora Reporter: Michael E Brown <mebrown>
Component: kvmAssignee: Glauber Costa <gcosta>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: medium    
Version: 8CC: berrange, clalance, gcosta, kernel-maint, markmc, quintela
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 01:17:50 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Description Flags
/var/log/messages -- edited to show two instances of the crash. Complete boot log up until crash. none

Description Michael E Brown 2008-03-31 18:30:55 EDT
Description of problem:

kernel crash: general protection fault.

Only happens while running KVM. Usually happens when there is network traffic.
For example, I mount the host /home inside the guest using nfs4. This crash
usually only happens while accessing one of the files on nfs. For example, the
last crash happened while I was trying to loopback mount an ISO that resides in
the host /home from inside the guest.

Version-Release number of selected component (if applicable):

Have had this happen many times over the past few kernel releases. Still happens
on current kernel:

$ uname -a
Linux duo #1 SMP Thu Mar 20 13:39:08 EDT 2008 x86_64 x86_64
x86_64 GNU/Linux

How reproducible:

Takes a while to reproduce. I've had been getting about one a week, but I've
started using the guest more and see them about once a day now.

Steps to Reproduce:
1. Use KVM for a while.
Actual results:


Expected results:

no crash

Additional info:
Comment 1 Michael E Brown 2008-03-31 18:30:55 EDT
Created attachment 299780 [details]
/var/log/messages -- edited to show two instances of the crash. Complete boot log up until crash.
Comment 2 Michael E Brown 2008-03-31 18:52:25 EDT
Note about the attachment above. I forgot to edit out the first boot log. There
are three boot logs in there. The first one is normal, the last two are crashes.
Comment 3 Mark McLoughlin 2008-11-11 12:27:36 EST
Re-assigning kvm.ko bugs to the kvm package for easier tracking
Comment 4 Bug Zapper 2008-11-26 05:20:13 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Bug Zapper 2009-01-09 01:17:50 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.